<div class="container">
    <form class="mat-dialog-content"  id="idFormModalidad" [formGroup]="formsRegistra">
      <div class="row">
            <mat-toolbar color="primary" >    
              <span>Registra Alumno</span>    
            </mat-toolbar>  
      </div>
      <div  class="row"  style="margin-top: 3%">

                <mat-form-field class="col-md-6">
                    <mat-label>Nombres</mat-label>
                    <input  matInput  [(ngModel)]="alumno.nombres"  name="nombres" formControlName="validaNombres" maxlength="30">  
                    <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaNombres.touched">
                        <span *ngIf="formsRegistra.controls.validaNombres.hasError('required')">
                               El nombre es requerido 
                        </span>
                        <span *ngIf="formsRegistra.controls.validaNombres.hasError('pattern')">
                            El nombre es de 3 a 30 caracteres 
                     </span>
                    </mat-hint>                 
                </mat-form-field>

                <mat-form-field class="col-md-6">
                    <mat-label>Apellidos</mat-label>
                    <input  matInput  [(ngModel)]="alumno.apellidos"  name="apellidos" formControlName="validaApellidos" maxlength="30">  
                    <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaApellidos.touched">
                        <span *ngIf="formsRegistra.controls.validaApellidos.hasError('required')">
                               Los apellidos son requeridos
                        </span>
                        <span *ngIf="formsRegistra.controls.validaApellidos.hasError('pattern')">
                            Entre 3 y 30 caracteres 
                     </span>
                    </mat-hint>                   
                </mat-form-field>

                <mat-form-field class="col-md-4">
                    <mat-label>Teléfono</mat-label>
                    <input  matInput  [(ngModel)]="alumno.telefono"  name="telefono" formControlName="validaTelefono"> 
                    <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaTelefono.touched">
                        <span *ngIf="formsRegistra.controls.validaTelefono.hasError('required')">
                               Ingrese el numero de telefono
                        </span>
                        <span *ngIf="formsRegistra.controls.validaTelefono.hasError('pattern')">
                            Deben ser números
                        </span> 
                    </mat-hint>                    
                </mat-form-field>

                <mat-form-field class="col-md-4">
                    <mat-label>DNI</mat-label>
                    <input  matInput  [(ngModel)]="alumno.dni"   name="dni" formControlName="validaDni" maxlength="8">   
                    <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaDni.touched">
                        <span *ngIf="formsRegistra.controls.validaDni.hasError('required')">
                               Ingrese el numero de DNI
                        </span>
                        <span *ngIf="formsRegistra.controls.validaDni.hasError('pattern')">
                            Deben ser números de 8 digitos
                        </span>                       
                    </mat-hint>                 
                </mat-form-field>

                <mat-form-field class="col-md-4">
                    <mat-label>Correo</mat-label>
                    <input  matInput  [(ngModel)]="alumno.correo"   name="correo" formControlName="validaCorreo">    
                    <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaCorreo.touched">
                        <span *ngIf="formsRegistra.controls.validaCorreo.hasError('required')">
                               Ingrese su correo electrónico
                        </span>
                        <span *ngIf="formsRegistra.controls.validaCorreo.hasError('email')">
                            en formato "abs@extension.com"
                        </span>  
                    </mat-hint>                
                </mat-form-field>

                <mat-form-field class="col-md-4">
                    <mat-label>Nacimiento</mat-label>
                    <input  matInput  type="date" [(ngModel)]="alumno.fechaNacimiento"   name="fechaNacimiento" >                    
                </mat-form-field>

        </div>

        <div class="row" style="margin-top: 3%">
    
            <mat-form-field class="col-md-4">
                <mat-label>País</mat-label>
                <mat-select  name="pais"  [(ngModel)]="alumno.pais!.idPais" formControlName="validaPais">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of pais"  [value]="x.idPais">
                        {{x.nombre}}
                    </mat-option> 
                </mat-select>  
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaPais.touched">
                    <span *ngIf="formsRegistra.controls.validaPais.hasError('min')">
                           Seleccione el país
                    </span>
                </mat-hint>               
            </mat-form-field> 
  
            <mat-form-field class="col-md-4">
                <mat-label>Modalidad</mat-label>
                <mat-select   name="modalidad"  [(ngModel)]="alumno.modalidad!.idDataCatalogo" formControlName="validaModalidad">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of modalidad"  [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option> 
                </mat-select> 
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaModalidad.touched">
                    <span *ngIf="formsRegistra.controls.validaModalidad.hasError('min')">
                           Seleccione su modalidad
                    </span>
                </mat-hint>               
            </mat-form-field> 
  
        </div>
  
        <div  mat-dialog-actions>
                <button mat-raised-button 
                        type="submit" 
                        (click) = "registra()"
                        color="primary" 
                        [disabled]="formsRegistra.invalid"
                        [mat-dialog-close]="1">
                        Registra
                </button>
                <button mat-button 
                        color="primary">
                        Salir
                </button>
        </div>

    </form>
  </div>
